# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.1112  -> 1.1113 
#	  drivers/acpi/bus.c	1.16    -> 1.17   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 03/09/25	len.brown@intel.com	1.1113
# [ACPI] For ThinkPad -- carry on in face of ECDT probe failure (Andi Kleen)
# --------------------------------------------
#
diff -Nru a/drivers/acpi/bus.c b/drivers/acpi/bus.c
--- a/drivers/acpi/bus.c	Thu Sep 25 16:16:52 2003
+++ b/drivers/acpi/bus.c	Thu Sep 25 16:16:52 2003
@@ -1898,9 +1898,7 @@
 	 * of that.
 	 */
 	result = acpi_ec_ecdt_probe();
-	if (result) {
-		goto error1;
-	}
+	/* Ignore result. Not having an ECDT is not fatal. */
 #endif
 
 	status = acpi_initialize_objects(ACPI_FULL_INITIALIZATION);
